services:
    _defaults:
        autoconfigure: true
    Netwalk\UnicCenter\Controller\ContentElement\MokamaController:
        arguments:
            - '@Codefog\HasteBundle\UrlParser'
            - '@Contao\CoreBundle\Image\Studio\Studio'
            - '@Netwalk\UnicCenter\Services\IsBackendService'
            - '%kernel.project_dir%'
            - '@contao.translation.translator'
            - '@contao.routing.response_context_accessor'
            - '%contao.image.valid_extensions%'
    Netwalk\UnicCenter\Controller\ContentElement\UnicNewFilesController:
        arguments:
            - '@contao.image.factory'
            - '@Contao\CoreBundle\Image\Studio\Studio'
            - '@doctrine.orm.entity_manager'
            - '%kernel.project_dir%'
            - '@Netwalk\UnicCenter\Services\IsBackendService'
            - '@contao.routing.page_url_generator'
            - '@contao.translation.translator'
            - '%contao.image.valid_extensions%'
    Netwalk\UnicCenter\Controller\ContentElement\UnicTreeController:
        arguments:
            - '@contao.image.factory'
            - '@Contao\CoreBundle\Image\Studio\Studio'
            - '@doctrine.orm.entity_manager'
            - '%kernel.project_dir%/web'
            - '@Netwalk\UnicCenter\Services\IsBackendService'
            - '@contao.routing.page_url_generator'
            - '@contao.translation.translator'
            - '%contao.image.valid_extensions%'
    Netwalk\UnicCenter\EventListener\DataContainer\UnicAttributesLoadCallback:
        arguments:
            - '@doctrine.orm.entity_manager'
    Netwalk\UnicCenter\EventListener\DataContainer\UnicAttributesSubmitCallback:
        arguments:
            - '@doctrine.orm.entity_manager'
    Netwalk\UnicCenter\EventListener\DataContainer\AttributesColumnsCallback:
        public: true
        arguments:
            - '@doctrine.orm.entity_manager'
    Netwalk\UnicCenter\EventListener\DataContainer\UnicConfigurationsOptionsCallback:
        arguments:
            - '@doctrine.orm.entity_manager'
    Netwalk\UnicCenter\EventListener\DoctrineSchemaListener:
        arguments:
            - "@doctrine"
        public: true
    Netwalk\UnicCenter\EventListener\UnicAttributesListener:
        arguments:
            - '@doctrine.orm.entity_manager'
        public: true
    Netwalk\UnicCenter\Services\IsBackendService:
        arguments:
            - '@contao.routing.scope_matcher'
            - '@request_stack'
        public: true
    Netwalk\UnicCenter\UnicTree\SyncHandler:
        arguments:
            - "@doctrine"
            - '@Netwalk\UnicCenter\UnicTree\PreviewGenerator'
            - '@Netwalk\UnicCenter\UnicTree\ConfigParser'
            - '%kernel.project_dir%'
        public: true
    Netwalk\UnicCenter\UnicTree\PreviewGenerator:
        arguments:
            - "%contao.image.target_dir%"
            - "bundles/uniccenter/frontend/video-thumb.jpg"
            - "%kernel.project_dir%/.."
            - "@filesystem"
    Netwalk\UnicCenter\UnicTree\ConfigParser:
        arguments:
            - '@doctrine'
            - '@contao.string.simple_token_parser'
    Netwalk\UnicCenter\MemberSync\SyncHandler:
        arguments:
            - '@database_connection'
            - '@security.password_hasher_factory'
    Netwalk\UnicCenter\Command\UnicImportCommand:
        arguments:
            - '@contao.framework'
            - '@Netwalk\UnicCenter\UnicTree\SyncHandler'
            - '%kernel.project_dir%'
            - '@Terminal42\NotificationCenterBundle\NotificationCenter'
    Netwalk\UnicCenter\Command\UnicMemberSyncCommand:
        arguments:
            - '@contao.framework'
            - '@Netwalk\UnicCenter\MemberSync\SyncHandler'
    Netwalk\UnicCenter\Command\UnicSortCommand:
        arguments:
            - '@contao.framework'
            - '@Netwalk\UnicCenter\UnicTree\SyncHandler'
            - '@doctrine.orm.entity_manager'
    Netwalk\UnicCenter\NotificationCenter\UnicCenterNotificationType:
        arguments:
            - '@Terminal42\NotificationCenterBundle\Token\Definition\Factory\TokenDefinitionFactoryInterface'